> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/yong-hu/user.getdeclaredagerange.md).

# User.getDeclaredAgeRange

> 函数式 API `getDeclaredAgeRange`也能用它实现相同功能。

### 功能说明

查询 iOS 中声明的年龄范围。

**仅限 iOS** 是 API。仅在 iOS 26 及以上版本，以及 Toss App **iOS 5.266.0** 仅可在以上版本使用——不支持 Android。调用前 `User.getDeclaredAgeRange.isSupported()`可通过它确认是否支持。

### 类型

```ts
User.getDeclaredAgeRange(params: GetDeclaredAgeRangeParams): Promise<DeclaredAgeRange>;
```

**参数**

```ts
interface GetDeclaredAgeRangeParams {
  ageGates: number[];
}
```

**响应**

```ts
interface DeclaredAgeRange {
  status:
    | "SHARING"
    | "DECLINED_SHARING"
    | "UNSUPPORTED_OS"
    | "NOT_AVAILABLE"
    | "INVALID_REQUEST"
    | "FAILED";
  lowerBound?: number;
  upperBound?: number;
  ageRangeDeclaration?: string;
  activeParentalControls: string[];
  isEligibleForAgeFeatures?: boolean;
  errorCode?: string;
}
```

### 错误

错误代码是 catch 到的错误的 `error.code` 值。

| 代码                        | 说明                                                                                                                                     |
| ------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_OS_VERSION`  | 如果设备的 OS 低于 iOS 26 或不是 iOS，调用会立即失败。 `User.getDeclaredAgeRange.isSupported()`请先通过它确认，发生时 `error.message`请向用户显示（OS 更新提示文案）。              |
| `UNSUPPORTED_APP_VERSION` | 如果正在运行的 Toss App 版本低于 iOS 5.266.0，调用会立即失败。 `User.getDeclaredAgeRange.isSupported()`请先通过它确认，发生时 `error.message`请向用户显示（Toss App 更新提示文案）。 |

### 示例代码

```js
import { User } from "@apps-in-toss/web-framework";

async function handleGetDeclaredAgeRange() {
  try {
    const result = await User.getDeclaredAgeRange({
      ageGates: [13, 18],
    });

    console.log("年龄范围状态：", result.status);
    console.log("lowerBound:", result.lowerBound);
    console.log("upperBound:", result.upperBound);
  } catch (error) {
    console.error(error);
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/yong-hu/user.getdeclaredagerange.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
